package cn.freemud.enums;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: cn.freemud.enums GiftTypeEnum
 * @Description: TDO 描述....
 * @author: 铁牌灵魂工程师
 * @date: 2021/2/23
 * @Copyright: www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public enum GiftTypeEnum {
    TYPE_1(1,"阶梯满赠"),
    TYPE_2(2,"每满赠");

    private Integer type;
    private String desc;

    GiftTypeEnum(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
